Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class ReferenceRoot

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.util.LazyTreeRoot
              edu.stanford.smi.protege.ui.ReferenceRoot

All Implemented Interfaces:
  TreeNode

    public class ReferenceRoot

extends LazyTreeRoot

Tree Root for "references" between two frames.

Constructor Summary
`ReferenceRoot(KnowledgeBase kb, Frame frame, Slot slot)`

Method Summary
`LazyTreeNode` | `createNode(Object o)`
`protected Comparator` | `getComparator()`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeRoot
`childReplaced, getChildObjectCount, getChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, setModel`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, dispose, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferenceRoot

    public ReferenceRoot(KnowledgeBase kb,
                         Frame frame,
                         Slot slot)

Method Detail

### createNode

    public LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `LazyTreeNode`

### getComparator

    protected Comparator getComparator()

  Specified by:
    `getComparator` in class `LazyTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.